Update error

When I want to update I get the following error:

Konnte Datei ‘firefox-kde-i18n-de-34.0-1-any.pkg.tar.xz’ nicht von arch.netrunner-os.com übertragen : The requested URL returned error: 404 Not Found

Can anyone help me?

Merry christmas
Jens

Make sure your not having any internet issues first, then use this command:

sudo pacman-mirror -g

This will check all your mirrors for speed, existance, etc. and create a new mirror list file.

If this is your first update then you’ll need to run these commands:

sudo rm -R /var/lib/pacman/local/bash-4.3.024-1 sudo pacman -Syy sudo pacman -S bash pacman manjaro-system sudo pacman -Su

otherwise just run:

sudo pacman -Syyu

I get the following error:

jens@home ~]$ sudo pacman-mirror -g
sudo: pacman-mirror: Kommando nicht gefunden

And after sudo pacman -Su I get again:

Fehler: Konnte Datei ‘firefox-kde-i18n-de-34.0-1-any.pkg.tar.xz’ nicht von arch.netrunner-os.com übertragen : The requested URL returned error: 404 Not Found

it’s a typo, try:

sudo pacman-mirrors -g

This is the output:

Custom
-> 0.073 http://ftp.halifax.rwth-aachen.de/manjaro/stable/$repo/$arch
-> 0.105 http://ftp.tu-chemnitz.de/pub/linux/manjaro/stable/$repo/$arch
:: Generated and saved ‘/etc/pacman.d/mirrorlist’ mirrorlist.

OK, so did you do the update after that?

PS. There should be more mirrors listed than that unless you manually deleted the /etc/pacman.d/mirrors files.
Here is my output:

$ sudo pacman-mirrors -g :: Querying servers, this may take some time... Africa -> 1.085 http://manjaro.mirror.ac.za/unstable/$repo/$arch -> 0.677 http://mirror.is.co.za/mirrors/manjaro.org/unstable/$repo/$arch Australia -> 0.606 http://mirror.ventraip.net.au/Manjaro/unstable/$repo/$arch -> 1.177 http://manjaro.mirror.serversaustralia.com.au/unstable/$repo/$arch -> 1.116 http://manjaro.mirror.uber.com.au/unstable/$repo/$arch Bangladesh -> 1.653 http://mirrors.ispros.com.bd/manjaro/unstable/$repo/$arch Belgium -> 0.616 http://ftp.belnet.be/manjaro/unstable/$repo/$arch -> 0.664 http://manjaro.cu.be/unstable/$repo/$arch Brasil -> 0.543 http://manjaro.fis.unb.br/unstable/$repo/$arch -> 0.982 http://www.las.ic.unicamp.br/pub/manjarolinux/unstable/$repo/$arch Chile -> 0.512 http://manjaro.dcc.uchile.cl/unstable/$repo/$arch China -> 1.132 http://mirrors.ustc.edu.cn/manjaro/unstable/$repo/$arch -> 0.896 http://mirror.bjtu.edu.cn/manjaro/unstable/$repo/$arch -> 0.598 http://ftp.cuhk.edu.hk/pub/Linux/manjaro/unstable/$repo/$arch Colombia -> 0.419 http://mirror.edatel.net.co/manjaro/unstable/$repo/$arch Costa_Rica -> 0.443 http://mirrors.ucr.ac.cr/manjaro/unstable/$repo/$arch Denmark -> 0.613 http://mirrors.dotsrc.org/manjaro/unstable/$repo/$arch France -> 0.608 http://manjarolinux.polymorf.fr/unstable/$repo/$arch -> 0.391 http://mirror.finn.lu/manjaro/unstable/$repo/$arch Germany -> 0.522 http://ftp.halifax.rwth-aachen.de/manjaro/unstable/$repo/$arch -> 0.682 http://ftp.tu-chemnitz.de/pub/linux/manjaro/unstable/$repo/$arch -> 0.370 http://ftp.rz.tu-bs.de/pub/mirror/manjaro.org/repos/unstable/$repo/$arch -> 0.348 http://mirror3.layerjet.com/manjaro/unstable/$repo/$arch -> 0.395 http://mirror.netzspielplatz.de/manjaro/packages/unstable/$repo/$arch -> 1.292 http://mirror.intercolo.net/manjaro/unstable/$repo/$arch Greece -> 0.458 http://ftp.cc.uoc.gr/mirrors/linux/manjaro/unstable/$repo/$arch India -> Error!http://manjaro.mirror.net.in/manjaro/unstable/$repo/$arch Indonesia -> 1.987 http://kambing.ui.ac.id/manjaro/unstable/$repo/$arch -> 1.939 http://kartolo.sby.datautama.net.id/manjaro/unstable/$repo/$arch Ireland -> 0.510 http://ftp.heanet.ie/mirrors/manjaro/unstable/$repo/$arch Italy -> 0.631 http://manjaro.mirror.garr.it/mirrors/manjaro/unstable/$repo/$arch Japan -> 0.900 http://ftp.tsukuba.wide.ad.jp/Linux/manjaro/unstable/$repo/$arch -> 0.686 http://ftp.riken.jp/Linux/manjaro/unstable/$repo/$arch Netherlands -> 0.564 http://ftp.nluug.nl/pub/os/Linux/distr/manjaro/unstable/$repo/$arch Philippines -> 1.200 http://mirror.pregi.net/pub/Linux/manjaro/unstable/$repo/$arch Portugal -> 0.986 http://ftp.dei.uc.pt/pub/linux/manjaro/repos/unstable/$repo/$arch Romania -> 0.651 http://mirrors.xservers.ro/manjaro/unstable/$repo/$arch -> 0.705 http://mirrors.serverhost.ro/manjaro/packages/unstable/$repo/$arch -> 0.838 http://ftp.lug.ro/manjaro/unstable/$repo/$arch -> 0.432 http://manjaro.mirrors.linux.ro/repos/unstable/$repo/$arch Russia -> 0.538 http://mirror.yandex.ru/mirrors/manjaro/unstable/$repo/$arch South_Korea -> 0.497 http://mirror.premi.st/manjaro/unstable/$repo/$arch Sweden -> 0.524 http://ftp.lysator.liu.se/pub/manjaro/unstable/$repo/$arch -> 1.542 http://mirror.zetup.net/manjaro/unstable/$repo/$arch Taiwan -> 1.011 http://free.nchc.org.tw/manjaro/unstable/$repo/$arch -> 0.712 http://free2.nchc.org.tw/manjaro/unstable/$repo/$arch -> 0.959 http://ftp.yzu.edu.tw/Linux/manjaro/unstable/$repo/$arch Turkey -> 0.444 http://ftp.linux.org.tr/manjaro/unstable/$repo/$arch United_Kingdom -> 1.201 http://repo.manjaro.org.uk/unstable/$repo/$arch -> 0.501 http://www.mirrorservice.org/sites/repo.manjaro.org/repos/unstable/$repo/$arch -> 0.579 http://mirror.catn.com/pub/manjaro/unstable/$repo/$arch -> 0.332 http://manjaro.mirrors.uk2.net/unstable/$repo/$arch United_States -> 0.153 http://mirror.dacentec.com/manjaro/unstable/$repo/$arch -> 0.214 http://www.gtlib.gatech.edu/pub/manjaro/unstable/$repo/$arch -> 0.213 http://mirror.jmu.edu/manjaro/unstable/$repo/$arch -> 0.236 http://mirror.solarvps.com/manjaro/unstable/$repo/$arch -> 0.191 http://mirror.nexcess.net/manjaro/unstable/$repo/$arch -> Error!http://vm1.sorch.info/manjaro/unstable/$repo/$arch :: Generated and saved '/etc/pacman.d/mirrorlist' mirrorlist.

You may need to do this:

sudo pacman -S pacman-mirrorlist sudo pacman-mirrors -g

then run the update as in my other post.

I have the same problem, that package does not exist in http://arch.netrunner-os.com/x86_64/.

If you mean the firefox-kde and related packages like firefox-kde-i18n-de it’s in the Manjaro repositories not the blueshell repository. They we’re removed from the blueshell repository when they we’re accepted upstream in the Manjaro repositories.

Manjaro Settings Manager / Laguage Packages gives me:

[quote]Installing language packages…

resolving dependencies…
looking for inter-conflicts…
Packages (1): firefox-kde-i18n-sv-se-34.0-1

Total Download Size: 0.35 MiB
Total Installed Size: 0.41 MiB

:: Proceed with installation? [Y/n]
:: Retrieving packages …
error: failed retrieving file ‘firefox-kde-i18n-sv-se-34.0-1-any.pkg.tar.xz’ from arch.netrunner-os.com : The requested URL returned error: 404 Not Found
warning: failed to retrieve some files
error: failed to commit transaction (download library error)
Errors occurred, no packages were upgraded.

-> Process failed![/quote]

How do one get rid of the reference to arch.netrunner-os.com?

Version 34.0-1 was the blueshell repository version of the file, it has been patched and rebuilt in the Manjaro repositories, the new version is 34.0.5-3. Your getting that error because your pacman data need to be completely re-synced:

If this is you first update and you haven’t done the bash update yet, then run these commands:

sudo rm -R /var/lib/pacman/local/bash-4.3.024-1 sudo pacman -Scc sudo pacman -Syy sudo pacman -S pacman manjaro-system sudo pacman -Suu
Re-Boot and don’t forget to change the session to KDE Plasma Workspace before logging in.

If this is NOT your first update then just run this:

sudo pacman -Syyu

I performed the bash and other updates just after the installation and pacman -Syyu just now.
It did not help.I have this problem on my desktop and on my laptop.

OK then remove firefox-kde and firefox-kde-i18n-sv-se and re-install them.

Since Version 34.0-1 doesn’t exist any more on any server, you’ll need to clear the pacman cache files and rebuild it database.

First run this to clear the cache out:

sudo pacman -Scc

hit y (yes) for both then run:

sudo pacman -Syyuu

Both of the doubled y’s and u’s are needed to refresh and rebuild the pacman database.

I’ve been running in circles with this for a little while, only with the english package. The problem still exists today (Jan 7), and the suggestions posted don’t seem to fix anything because the system seems to prioritize blueshell repository packages over everything else. (It would be nice if the maintainers pulled non-existent packages from the repository listing, rather than just deleting packages)

The only thing that I’ve found that fixes it is

sudo pacman -S community/firefox-kde-i18n-en-us

This forces the community package version to install. You still get a warning on system upgrade that it’s newer than the blueshell version, but it lets it go through anyway.

Presumably that will work around the issue with the german versions as well, if you are still having the issue, with

sudo pacman -S community/firefox-kde-i18n-de

Doesn’t matter if you rebuild the database if you just download an old one from 12/14/14 again as part of the upgrade process. Nobody bothered to update the database after pulling the files, you can look at it yourself here
http://arch.netrunner-os.com/x86_64/blueshell.db

Thanks for the info on the repository database being wrong, hopefully leszek will be able to get this fixed. The way in which you installed the language pack is fine, the error your getting would be normal for your situation and can be ignored.

PS. This is just an FYI, If you use thunderbird for e-mail then you’ll be gald to know that one of the Manjaro developers has added a thunderbird-kde package in the community repository for better integration as well.

Fixed.
(repo-remove does not take asterisks therefor I completely rebuild the database)

Thanks, works for me now.

Yeah, looks to be good. thanks for the quick fix.